﻿using Microsoft.AspNetCore.Components;
using BlazorTp1.Models;

namespace BlazorTp1.Pages
{
    public partial class List
    {
        private Items[] items;

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            items = await Http.GetFromJsonAsync<Items[]>($"{NavigationManager.BaseUri}fake-data.json");
        }
    }
}
